%{?python_enable_dependency_generator}
%global srcname frozendict

Name:           python-%{srcname}
Version:        2.4.6
Release:        %mkrel 1
Summary:        An immutable dictionary
Group:         Development/Python

License:        MIT
URL:            https://pypi.python.org/pypi/frozendict
Source0:        %{pypi_source}
BuildArch:      noarch

%global _description %{expand:
frozendict is an immutable wrapper around dictionaries that implements
the complete mapping interface. It can be used as a drop-in
replacement for dictionaries where immutability is desired.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files frozendict

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt


%changelog
* Thu Dec 19 2024 papoteur <papoteur> 2.4.6-1.mga10
+ Revision: 2126247
- new version 2.4.6

* Fri Sep 20 2024 papoteur <papoteur> 2.4.4-1.mga10
+ Revision: 2099434
- new version 2.4.4

* Fri Dec 29 2023 joequant <joequant> 2.3.10-1.mga10
+ Revision: 2023756
- update to py3.12

* Sun Oct 22 2023 papoteur <papoteur> 2.3.8-1.mga10
+ Revision: 2000103
- new 2.3.8

* Sat Mar 19 2022 umeabot <umeabot> 2.3.0-2.mga9
+ Revision: 1799244
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 joequant <joequant> 2.3.0-1.mga9
+ Revision: 1782157
- set sources
- update to 2.3.0 / python 3.10

* Thu Jun 04 2020 joequant <joequant> 1.2-1.mga9
+ Revision: 1590215
- imported package python-frozendict

